# geos::geomgraph::EdgeIntersectionList Class Reference

`#include <EdgeIntersectionList.h>`

List of all members.

## Public Types

typedef std::set < EdgeIntersection *, EdgeIntersectionLessThen > | container
typedef container::iterator | iterator
typedef container::const_iterator | const_iterator

## Public Member Functions

| EdgeIntersectionList (Edge *edge)
EdgeIntersection * | add (const geom::Coordinate &coord, int segmentIndex, double dist)
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
bool | isEmpty () const
bool | isIntersection (const geom::Coordinate &pt) const
void | addEndpoints ()
void | addSplitEdges (std::vector< Edge * > *edgeList)
Edge * | createSplitEdge (EdgeIntersection *ei0, EdgeIntersection *ei1)
std::string | print () const

## Public Attributes

Edge * | edge

## Detailed Description

A list of edge intersections along an Edge. Implements splitting an edge with intersections into multiple resultant edges.

## Member Function Documentation

void geos::geomgraph::EdgeIntersectionList::addSplitEdges | ( | std::vector< Edge * > * | edgeList ) |

Creates new edges for all the edges that the intersections in this list split the parent edge into. Adds the edges to the input list (this is so a single list can be used to accumulate all split edges for a Geometry).

Parameters:

  edgeList | a list of EdgeIntersections

The documentation for this class was generated from the following file:

- EdgeIntersectionList.h